[PATCH] osmo-ttcn3-hacks[master]: add update_expected_results_from_jenkins.sh

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

Neels Hofmeyr gerrit-no-reply at lists.osmocom.org
Wed Apr 11 13:58:30 UTC 2018


Review at  https://gerrit.osmocom.org/7754

add update_expected_results_from_jenkins.sh

Change-Id: Ib3ad8554fc59112c11325425ccd70ca1dbd8c123
---
A update_expected_results_from_jenkins.sh
1 file changed, 39 insertions(+), 0 deletions(-)


  git pull ssh://gerrit.osmocom.org:29418/osmo-ttcn3-hacks refs/changes/54/7754/1

diff --git a/update_expected_results_from_jenkins.sh b/update_expected_results_from_jenkins.sh
new file mode 100755
index 0000000..ba0b912
--- /dev/null
+++ b/update_expected_results_from_jenkins.sh
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+not_found=""
+
+for target in */expected-results.xml; do
+  project="$(basename "$(dirname "$target")")"
+
+  # shims for naming exceptions
+  ws_path="ttcn3-${project}-test/ws/logs/${project}-tester"
+  if [ "x$project" = "xggsn_tests" ]; then
+    project="ggsn"
+  elif [ "x$project" = "xsysinfo" ]; then
+    ws_path="ttcn3-nitb-sysinfo/ws/logs/ttcn3-nitb-sysinfo"
+  fi
+
+  # find out the junit-NN.xml name
+  dir_url="https://jenkins.osmocom.org/jenkins/job/$ws_path/"
+  junit_file="$(wget -q -O - "$dir_url" | grep 'junit-xml-[0-9]*\.log' | tail -n 1 | sed 's/.*\(junit-xml-[0-9]*\.log\).*/\1/')"
+
+  # update
+  target_new="$target.new"
+  if ! wget -O "$target_new" "${dir_url}$junit_file"; then
+    not_found="$not_found $project"
+    rm -f "$target_new"
+  else
+    mv "$target_new" "$target"
+  fi
+done
+
+./mask_expected_results.sh
+
+echo "
+
+ MAKE SURE THE RESULTING CHANGES ARE SANE BEFORE COMMITTING!
+
+"
+if [ -n "$not_found" ]; then
+	echo "Could not update: $not_found"
+fi

-- 
To view, visit https://gerrit.osmocom.org/7754
To unsubscribe, visit https://gerrit.osmocom.org/settings

Gerrit-MessageType: newchange
Gerrit-Change-Id: Ib3ad8554fc59112c11325425ccd70ca1dbd8c123
Gerrit-PatchSet: 1
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Owner: Neels Hofmeyr <nhofmeyr at sysmocom.de>



More information about the gerrit-log mailing list